Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.tokens
Class OperatorToken

    java.lang.Object
      com.singularsys.jep.configurableparser.tokens.Token
          com.singularsys.jep.configurableparser.tokens.OperatorToken

All Implemented Interfaces:
  java.io.Serializable

    public class OperatorToken

extends Token

A token representing an operator. The operator may be overloaded representing prefix, suffix, binary infix and ternary operators.

See Also:
  Serialized Form

Constructor Summary
`OperatorToken(java.util.List<Operator> ops)`
`OperatorToken(Operator op)`
`OperatorToken(Operator[] ops)`

Method Summary
`void` | `addOp(Operator op)`
`Token` | `cloneToken()`
`Operator` | `getBinaryOp()` If this symbol represents a binary infix operator then return it.
`Operator` | `getPrefixOp()`
`Operator` | `getSuffixOp()`
`Operator` | `getTernaryOp()`
`boolean` | `isBinary()`
`boolean` | `isOperator()`
`boolean` | `isPrefix()`
`boolean` | `isSuffix()`
`boolean` | `isTernary()`
`java.lang.String` | `toString()`

Methods inherited from class com.singularsys.jep.configurableparser.tokens.Token
`equals, getColumnNumber, getLength, getLineNumber, getSource, hashCode, isComment, isFunction, isIdentifier, isImplicitMulRhs, isNumber, isString, isSymbol, isTerminal, isWhiteSpace, setPosition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperatorToken

    public OperatorToken(java.util.List<Operator> ops)

### OperatorToken

    public OperatorToken(Operator[] ops)

### OperatorToken

    public OperatorToken(Operator op)

Method Detail

### addOp

    public void addOp(Operator op)

### getBinaryOp

    public Operator getBinaryOp()

  If this symbol represents a binary infix operator then return it.

  Returns:
    the binary op or null if no binary is operator specified.

### getPrefixOp

    public Operator getPrefixOp()

### getSuffixOp

    public Operator getSuffixOp()

### getTernaryOp

    public Operator getTernaryOp()

### isOperator

    public boolean isOperator()

  Overrides:
    `isOperator` in class `Token`

### isBinary

    public boolean isBinary()

  Overrides:
    `isBinary` in class `Token`

### isPrefix

    public boolean isPrefix()

  Overrides:
    `isPrefix` in class `Token`

### isSuffix

    public boolean isSuffix()

  Overrides:
    `isSuffix` in class `Token`

### isTernary

    public boolean isTernary()

  Overrides:
    `isTernary` in class `Token`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Token`

### cloneToken

    public Token cloneToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep